<?php

/**
* @desc This report displays all authenticated visitors
*/
$reports["_AUTHENTICATED_VISITORS"] = Array(
	"ClassName" => "AuthenticatedVisitors", 
	"Category" => "_VISITOR_DETAILS", 
	"icon" => "images/icons/32x32/authenticatedvisitors.png",
	"Options" => "daterangeField,profileselector,displaymode,trafficsource,limit,columnSelector",
	"Filename" => "authenticated_visitors",
	"Distribution" => "Premium",
	"Order" => 6,
	"ReportVersion" => 1.0,
	"MinimumVersion" => 3.0,
	"EmailAlerts" => false,
	"DeleteOutdatedFiles" => false,
	"Update" => false,
	"canAggregate" => false
);

class AuthenticatedVisitors extends Report {
	
	function Settings() {
		$this->DefaultDisplay = "table";
		$this->DisplayModes = "table,pie";
		$this->columnDefinitions[] = array("Label" => "_USERID");
		$this->columnDefinitions[] = array("Label" => "_REQUESTS");
		$this->columnDefinitions[] = array("Label" => "_IP_NUMBER","actionmenu" => 'ip');
		$this->columnDefinitions[] = array("Label" => "_COUNTRY");
	}
	
	function UpdateStats($from = '', $to = '',$print = 2){
		return false;
	}
}
?>
